#!/bin/bash

WORKDIR=/www/htdocs/w0057617/dpldemo/images/Wgraph
FILENAME=$1
GDL=$WORKDIR/"$FILENAME".gdl
THUMB=$WORKDIR/"$FILENAME"_thumb.png
PNG=$WORKDIR/"$FILENAME".png
SVG=$WORKDIR/"$FILENAME".svg
LOG=$WORKDIR/"$FILENAME".log
SMLDPI=$2
BIGDPI=$3
LMARGIN=$4
TMARGIN=$5
AIPARAM="-silent -e 1 -color -lm 0px -tm 0px"
AIPATH=$WORKDIR/../../extensions/Wgraph/linux
AIBIN=aisee/bin/aisee.bin
AISEEEXEC=$AIBIN

cd $AIPATH
./bin/recode u8..iso_8859-1 $GDL >> recode.log 2>&1
export AISEEFONTS=$AIPATH/aiSee/fonts/
export AISEEICONS=$WORKDIR/icons/
$AISEEEXEC $AIPARAM -xdpi $SMLDPI -ydpi $SMLDPI -pngoutput $THUMB $GDL >$LOG 2>&1
$AISEEEXEC $AIPARAM -xdpi $BIGDPI -ydpi $BIGDPI -pngoutput $PNG   $GDL >>$LOG 2>&1
$AISEEEXEC -silent -e 1 -color                  -svgoutput $SVG   $GDL >>$LOG 2>&1
